Page MenuHomePhabricator

[Story] Monolingual text should support macrolanguages
Closed, ResolvedPublic

Description

Messed around with official name (P1448) in Glittertind (Q397876) and realized that official names are often given in macrolanguages. The name Glittertinden is now listed as nb but should be nn. I think this is quite common to avoid creating several closely related names. In Norwegian that means that monolingual text must support no in addition to nb and nn.

Macrolanguages are also called metalanguages.

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
OpenNone
Resolvedadrianheine
ResolvedSmalyshev
OpenNone
Resolvedadrianheine
ResolvedAddshore
ResolvedTobi_WMDE_SW
Resolvedadrianheine
Resolvedadrianheine
ResolvedLydia_Pintscher
Resolvedadrianheine
Resolvedadrianheine
Declinedadrianheine
Resolvedadrianheine
Resolvedadrianheine
OpenNone
OpenNone
ResolvedLucas_Werkmeister_WMDE
ResolvedAddshore

Event Timeline

jeblad created this task.Apr 7 2015, 2:01 PM
jeblad raised the priority of this task from to Needs Triage.
jeblad updated the task description. (Show Details)
jeblad added a project: Wikidata.
jeblad added a subscriber: jeblad.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2015, 2:01 PM
jeblad renamed this task from Monolingual text should support metalanguages to Monolingual text should support macrolanguages.Apr 14 2015, 4:47 PM
jeblad updated the task description. (Show Details)
jeblad set Security to None.
JanZerebecki triaged this task as Medium priority.May 16 2015, 10:36 PM
JanZerebecki moved this task from incoming to needs discussion or investigation on the Wikidata board.
Jonas renamed this task from Monolingual text should support macrolanguages to [Story] Monolingual text should support macrolanguages.Nov 2 2015, 3:30 PM
adrianheine closed this task as Resolved.Jan 28 2016, 2:33 PM
adrianheine claimed this task.
adrianheine added a subscriber: adrianheine.

You can already use no via API. UI support will get better with the next deployment so that you can enter it in the UI and save, but it won't appear in the language code suggester. Fixing that is tracked in T124758.

Restricted Application added a subscriber: jhsoby. · View Herald TranscriptSep 18 2018, 1:07 PM